<form class="{{cssClass}}" autocomplete="off">
    <div class="stickyHeader">
        <header class="sheet-header">
            <div class="header-fields">
                <h1 class="charname flex-container">
                    <img class="profile-img" src="{{item.img}}" data-edit="img" title="{{item.name}}"/>
                    <input name="name" type="text" value="{{item.name}}" placeholder="Name"/>
                </h1>
            </div>
        </header>
    
        {{!-- Sheet Tab Navigation --}}
        <nav class="sheet-tabs tabs" data-group="primary">
            <a class="item" data-tab="description">Description</a>
            <a class="item" data-tab="attributes">Attributs</a>
            <a class="item" data-tab="competences">Compétences</a>
        </nav>
    </div>
    
        {{!-- Sheet Body --}}
        <section class="sheet-body">
    
            {{!-- Description Tab --}}
            <div class="tab" data-group="primary" data-tab="description">
                {{editor item.system.description target="system.description"  button=true owner=owner editable=editable}}
            </div>


            {{!-- Attributes Tab --}}
            <div class="tab" data-group="primary" data-tab="attributes">
                <div class="attribute-tab-container">
                    <div class="attribute-container">
                        <div class="item-characteristic-container">
                            <h2>Characteristiques</h2>
                            <div class="modifier-container single-column-grid">
                                <div class="grid-container">
                                    <div>Force</div>
                                    <div><input type="number" name="system.characteristicBonus.forChaBonus" value="{{item.system.characteristicBonus.forChaBonus}}"></div>
                                </div>
                                <div class="grid-container">
                                    <div>Intelligence</div>
                                    <div><input type="number" name="system.characteristicBonus.intChaBonus" value="{{item.system.characteristicBonus.intChaBonus}}"></div>
                                </div>
                                <div class="grid-container">
                                    <div>Eloquence</div>
                                    <div><input type="number" name="system.characteristicBonus.eloChaBonus" value="{{item.system.characteristicBonus.eloChaBonus}}"></div>
                                </div>
                                <div class="grid-container">
                                    <div>Perception</div>
                                    <div><input type="number" name="system.characteristicBonus.prcChaBonus" value="{{item.system.characteristicBonus.prcChaBonus}}"></div>
                                </div>
                                <div class="grid-container">
                                    <div>Sagesse</div>
                                    <div><input type="number" name="system.characteristicBonus.sagChaBonus" value="{{item.system.characteristicBonus.sagChaBonus}}"></div>
                                </div>
                                <div class="grid-container">
                                    <div>Agilité</div>
                                    <div><input type="number" name="system.characteristicBonus.agiChaBonus" value="{{item.system.characteristicBonus.agiChaBonus}}"></div>
                                </div>
                            </div>
                        </div>
                        <div class="item-status-container">
                            <h2>Status</h2>
                            <div class="resistance-grid">
                                <div class="flex-container">
                                    <div>Brûlé</div>
                                    <div><input type="number" name="system.effect_cat.burn.max" value="{{item.system.effect_cat.burn.max}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>Gelé</div>
                                    <div><input type="number" name="system.effect_cat.freeze.max" value="{{item.system.effect_cat.freeze.max}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>Para</div>
                                    <div><input type="number" name="system.effect_cat.paralysis.max" value="{{item.system.effect_cat.paralysis.max}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>Slow</div>
                                    <div><input type="number" name="system.effect_cat.slow.max" value="{{item.system.effect_cat.slow.max}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>Eblouie</div>
                                    <div><input type="number" name="system.effect_cat.flash.max" value="{{item.system.effect_cat.flash.max}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>Hallu</div>
                                    <div><input type="number" name="system.effect_cat.dark.max" value="{{item.system.effect_cat.dark.max}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>Poison</div>
                                    <div><input type="number" name="system.effect_cat.poison.max" value="{{item.system.effect_cat.poison.max}}"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="attribute-container">
                        <div class="item-resistance-container">
                            <h2>Resistances</h2>
                            <div class="modifier-container single-column-grid">
                                <div class="modifier-container">
                                    <div class="grid-container">
                                        <div>Physique</div>
                                        <div><input type="number" name="system.physicRBonus" value="{{item.system.physicRBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Magique</div>
                                        <div><input type="number" name="system.magicRBonus" value="{{item.system.magicRBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Feu</div>
                                        <div><input type="number" name="system.fireRBonus" value="{{item.system.fireRBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Froid</div>
                                        <div><input type="number" name="system.frostRBonus" value="{{item.system.frostRBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Eau</div>
                                        <div><input type="number" name="system.waterRBonus" value="{{item.system.waterRBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Air</div>
                                        <div><input type="number" name="system.airRBonus" value="{{item.system.airRBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Poison</div>
                                        <div><input type="number" name="system.poisonRBonus" value="{{item.system.poisonRBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Terre</div>
                                        <div><input type="number" name="system.earthRBonus" value="{{item.system.earthRBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Nature</div>
                                        <div><input type="number" name="system.natureRBonus" value="{{item.system.natureRBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Vent</div>
                                        <div><input type="number" name="system.windRBonus" value="{{item.system.windRBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Electricité</div>
                                        <div><input type="number" name="system.electricityRBonus" value="{{item.system.electricityRBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Lumière</div>
                                        <div><input type="number" name="system.lightRBonus" value="{{item.system.lightRBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Ténèbre</div>
                                        <div><input type="number" name="system.darkRBonus" value="{{item.system.darkRBonus}}"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="item-resistance-container">
                            <h2>Dégâts</h2>
                            <div class="modifier-container single-column-grid">
                                <div class="modifier-container">
                                    <div class="grid-container">
                                        <div>Physique</div>
                                        <div><input type="number" name="system.physicDBonus" value="{{item.system.physicDBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Magique</div>
                                        <div><input type="number" name="system.magicDBonus" value="{{item.system.magicDBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Feu</div>
                                        <div><input type="number" name="system.fireDBonus" value="{{item.system.fireDBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Froid</div>
                                        <div><input type="number" name="system.frostDBonus" value="{{item.system.frostDBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Eau</div>
                                        <div><input type="number" name="system.waterDBonus" value="{{item.system.waterDBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Air</div>
                                        <div><input type="number" name="system.airDBonus" value="{{item.system.airDBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Poison</div>
                                        <div><input type="number" name="system.poisonDBonus" value="{{item.system.poisonDBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Terre</div>
                                        <div><input type="number" name="system.earthDBonus" value="{{item.system.earthDBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Nature</div>
                                        <div><input type="number" name="system.natureDBonus" value="{{item.system.natureDBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Vent</div>
                                        <div><input type="number" name="system.windDBonus" value="{{item.system.windDBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Electricité</div>
                                        <div><input type="number" name="system.electricityDBonus" value="{{item.system.electricityDBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Lumière</div>
                                        <div><input type="number" name="system.lightDBonus" value="{{item.system.lightDBonus}}"></div>
                                    </div>
                                    <div class="grid-container">
                                        <div>Ténèbre</div>
                                        <div><input type="number" name="system.darkDBonus" value="{{item.system.darkDBonus}}"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="quality-container">
                        <div class="flex-container">
                            <h2>Effets</h2>
                            <div>{{editor item.system.qualities target="system.qualities"  button=true owner=owner editable=editable}}</div>
                        </div>
                    </div>
                </div>
            </div>
            {{!-- Competences Tab --}}
            <div class="tab" data-group="primary" data-tab="competences">
                <div class="skillContainer">
                    <h2 class="headerWithButton">
                        <label>Compétences</label>
                    </h2>
                    <div class="combat-tab-primary-header">
                        <div class="resistance-container">
                            <h2>FORCE</h2>
                            <div class="resistance-grid">
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.for.competences.parade.name}}</div>
                                    <div><input class="competences" type="number" name="system.characteristics.for.competences.parade.paradeBonus" value="{{actor.system.characteristics.for.competences.parade.paradeBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.for.competences.lancer.name}}</div>
                                    <div><input class="competences" type="number" name="system.characteristics.for.competences.lancer.lancerBonus" value="{{actor.system.characteristics.for.competences.lancer.lancerBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.for.competences.mains_nues.name}}</div>
                                    <div><input class="competences" type="number" name="system.characteristics.for.competences.mains_nues.mains_nuesBonus" value="{{actor.system.characteristics.for.competences.mains_nues.mains_nuesBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.for.competences.armes_moyennes_lourdes.name}}</div>
                                    <div><input class="competences" type="number" name="system.characteristics.for.competences.armes_moyennes_lourdes.armes_moyennes_lourdesBonus" value="{{actor.system.characteristics.for.competences.armes_moyennes_lourdes.armes_moyennes_lourdesBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.for.competences.endurance.name}}</div>
                                    <div><input class="competences" type="number" name="system.characteristics.for.competences.endurance.enduranceBonus" value="{{actor.system.characteristics.for.competences.endurance.enduranceBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.for.competences.intimidation.name}}</div>
                                    <div><input class="competences" type="number" name="system.characteristics.for.competences.intimidation.intimidationBonus" value="{{actor.system.characteristics.for.competences.intimidation.intimidationBonus}}"></div>
                                </div>
                            </div>
                        </div>
                        <div class="status-controls-container">
                            <h2>INTELLIGENCE</h2>
                            <div class="resistance-grid">
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.int.competences.histoire.name}}</div>
                                    <div><input class="competences" type="number" name="system.characteristics.int.competences.histoire.histoireBonus" value="{{actor.system.characteristics.int.competences.histoire.histoireBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.int.competences.langues.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.int.competences.langues.languesBonus" value="{{actor.system.characteristics.int.competences.langues.languesBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.int.competences.alchimie.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.int.competences.alchimie.alchimieBonus" value="{{actor.system.characteristics.int.competences.alchimie.alchimieBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.int.competences.medecine.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.int.competences.medecine.medecineBonus" value="{{actor.system.characteristics.int.competences.medecine.medecineBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.int.competences.arcanes.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.int.competences.arcanes.arcanesBonus" value="{{actor.system.characteristics.int.competences.arcanes.arcanesBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.int.competences.nature.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.int.competences.nature.natureBonus" value="{{actor.system.characteristics.int.competences.nature.natureBonus}}"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="combat-tab-primary-header">
                        <div class="status-controls-container">
                            <h2>ELOQUENCE</h2>
                            <div class="resistance-grid">
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.elo.competences.charme.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.elo.competences.charme.charmeBonus" value="{{actor.system.characteristics.elo.competences.charme.charmeBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.elo.competences.spectacle.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.elo.competences.spectacle.spectacleBonus" value="{{actor.system.characteristics.elo.competences.spectacle.spectacleBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.elo.competences.bluff.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.elo.competences.bluff.bluffBonus" value="{{actor.system.characteristics.elo.competences.bluff.bluffBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.elo.competences.mensonge.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.elo.competences.mensonge.mensongeBonus" value="{{actor.system.characteristics.elo.competences.mensonge.mensongeBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.elo.competences.negociation.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.elo.competences.negociation.negociationBonus" value="{{actor.system.characteristics.elo.competences.negociation.negociationBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.elo.competences.troc.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.elo.competences.troc.trocBonus" value="{{actor.system.characteristics.elo.competences.troc.trocBonus}}"></div>
                                </div>
                            </div>
                        </div>
                        <div class="status-controls-container">
                            <h2>PERCEPTION</h2>
                            <div class="resistance-grid">
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.prc.competences.reflexe.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.prc.competences.reflexe.reflexeBonus" value="{{actor.system.characteristics.prc.competences.reflexe.reflexeBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.prc.competences.ecoute.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.prc.competences.ecoute.ecouteBonus" value="{{actor.system.characteristics.prc.competences.ecoute.ecouteBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.prc.competences.detectionM.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.prc.competences.detectionM.detectionMBonus" value="{{actor.system.characteristics.prc.competences.detectionM.detectionMBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.prc.competences.reperage.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.prc.competences.reperage.reperageBonus" value="{{actor.system.characteristics.prc.competences.reperage.reperageBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.prc.competences.discernement.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.prc.competences.discernement.discernementBonus" value="{{actor.system.characteristics.prc.competences.discernement.discernementBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.prc.competences.pistage.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.prc.competences.pistage.pistageBonus" value="{{actor.system.characteristics.prc.competences.pistage.pistageBonus}}"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="combat-tab-primary-header">
                        <div class="status-controls-container">
                            <h2>SAGESSE</h2>
                            <div class="resistance-grid">
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.sag.competences.concentration.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.sag.competences.concentration.concentrationBonus" value="{{actor.system.characteristics.sag.competences.concentration.concentrationBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.sag.competences.intuition.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.sag.competences.intuition.intuitionBonus" value="{{actor.system.characteristics.sag.competences.intuition.intuitionBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.sag.competences.survie.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.sag.competences.survie.survieBonus" value="{{actor.system.characteristics.sag.competences.survie.survieBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.sag.competences.premiers_soins.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.sag.competences.premiers_soins.premiers_soinsBonus" value="{{actor.system.characteristics.sag.competences.premiers_soins.premiers_soinsBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.sag.competences.intuitionM.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.sag.competences.intuitionM.intuitionMBonus" value="{{actor.system.characteristics.sag.competences.intuitionM.intuitionMBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.sag.competences.artisanats.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.sag.competences.artisanats.artisanatsBonus" value="{{actor.system.characteristics.sag.competences.artisanats.artisanatsBonus}}"></div>
                                </div>
                            </div>
                        </div>
                        <div class="status-controls-container">
                            <h2>AGILITE</h2>
                            <div class="resistance-grid">
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.agi.competences.esquive.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.agi.competences.esquive.esquiveBonus" value="{{actor.system.characteristics.agi.competences.esquive.esquiveBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.agi.competences.discretion.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.agi.competences.discretion.discretionBonus" value="{{actor.system.characteristics.agi.competences.discretion.discretionBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.agi.competences.crochetage.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.agi.competences.crochetage.crochetageBonus" value="{{actor.system.characteristics.agi.competences.crochetage.crochetageBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.agi.competences.initiative.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.agi.competences.initiative.initiativeBonus" value="{{actor.system.characteristics.agi.competences.initiative.initiativeBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.agi.competences.acrobatie.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.agi.competences.acrobatie.acrobatieBonus" value="{{actor.system.characteristics.agi.competences.acrobatie.acrobatieBonus}}"></div>
                                </div>
                                <div class="flex-container">
                                    <div>{{actor.system.characteristics.agi.competences.armes_courtes_distances.name}}</div>
                                    <div><input class="competences" type="number"  name="system.characteristics.agi.competences.armes_courtes_distances.armes_courtes_distancesBonus" value="{{actor.system.characteristics.agi.competences.armes_courtes_distances.armes_courtes_distancesBonus}}"></div>
                                </div>
                            </div>
                        </div>
                    </div>    
                </div>
            </div>
        </section>
</form>
